# Interface methods for submodule: ObjectToObjectOptimizerBaseTemplate
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: ObjectToObjectOptimizerBaseTemplate
class ObjectToObjectOptimizerBaseTemplateProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetMetric(self, _arg) -> None:
		""""""
		...

	def GetModifiableMetric(self):
		""""""
		...

	def GetMetric(self):
		""""""
		...

	def GetCurrentMetricValue(self) -> float:
		""""""
		...

	def GetValue(self) -> float:
		""""""
		...

	def SetScales(self, scales) -> None:
		""""""
		...

	def GetScales(self):
		""""""
		...

	def GetScalesAreIdentity(self) -> bool:
		""""""
		...

	def SetWeights(self, _arg) -> None:
		""""""
		...

	def GetWeights(self):
		""""""
		...

	def GetWeightsAreIdentity(self) -> bool:
		""""""
		...

	def GetScalesInitialized(self) -> bool:
		""""""
		...

	def SetScalesEstimator(self, _arg) -> None:
		""""""
		...

	def SetDoEstimateScales(self, _arg: bool) -> None:
		""""""
		...

	def GetDoEstimateScales(self) -> bool:
		""""""
		...

	def DoEstimateScalesOn(self) -> None:
		""""""
		...

	def DoEstimateScalesOff(self) -> None:
		""""""
		...

	def SetNumberOfWorkUnits(self, number: int) -> None:
		""""""
		...

	def GetNumberOfWorkUnits(self) -> int:
		""""""
		...

	def GetCurrentIteration(self) -> int:
		""""""
		...

	def SetNumberOfIterations(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfIterations(self) -> int:
		""""""
		...

	def GetCurrentPosition(self):
		""""""
		...

	def StartOptimization(self, doOnlyInitialization: bool = False) -> None:
		""""""
		...

	def GetStopConditionDescription(self) -> str:
		""""""
		...

	def CanUseScales(self) -> bool:
		""""""
		...

